[Buildroot] [PATCH 19/21] openssl: bump to 1.0.0a

Marcus Osdoba marcus.osdoba at googlemail.com
Fri Oct 8 19:43:22 UTC 2010


  Am 22.09.2010 01:04, schrieb Martin Banky:
> Marcus,
>      I've done some research, and have not found any issues with 
> openssl 1.0.0.a not being compatible with any packages. If anyone 
> knows of one, please let me know. Note: openssl 1.0.0a is not 
> necessarily binary compatible to openssl 0.9.8o, but it is api compatible.
>
Hi Martin,

Yes. You are right. I discovered only a CApath incompatibility if 
generating some CA keystore with 0.9.8 and using it with 1.0.0 won't 
work. If you generate the keystores yourself there should be no problem 
with updating to openssl 1.0.0.

So no complains anymore ;-)

Regards,
Marcus


More information about the buildroot mailing list